Subject: Library Link Problem
From: [email-masked] (Alain CULOS)

23 Feb 1998 19:21:58 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: cygwin <[email-masked]>

Hi all,

I'm very new to gcc and new to using unix like tools on windows, I use the cygnus distribution of gcc 2.7.2 b18 for Win95b on a PPro 200.
I know, I should upgrade to 2.8.0 or egcs, (just read the FAQ), still I think I will have the same problem
since it looks like a bad use on my side.

I have seemingly installed everything correctly, paths and all configured as should be (I hope).
I use the whole lot under Bash (for windows).

When I'm trying to compile some gui application, make (the final step using the embedded linker) outputs lots of "undefined reference"s.
I guessed this can only be caused by a missing library at link time, but I specified all of the 70ish libraries in the command line with no result.
I did not check all the undefined references but they all seem to come from windows32/Functions.h, itself included in windows.h standard include file. Among the undefined references are : LoadIcon, LoadCursor, RegisterClass, GetStockObject, CreatePen, CreateMenu, ShowWindow, ....

Which library should this be linked to ? Or what could be wrong with my set-up ?

Any and every bit of help will be greatly appreciated, even a simple pointer to the appropriate doc, I have read lots of docs and a few FAQs to no avail so far.
MTIA,
Al.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
=-=-=-=-= ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever les deux moins de mon adresse.
To answer me, please take out both minus signs from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".